<?php
require_once '../../data/constant.php';
require_once '../../util/make_item.php';
$err_msg = "";
$conn = "";
$data_object = null;
if (NO_SINGLE_SIGNON == 0) {
	require('../../../../mainfile.php');
	require_once '../../data/xdb_access.php';
} else if (NO_SINGLE_SIGNON == 1) {
	require_once '../../data/db_access.php';
	ini_set("session.save_handler","files");
	session_start();
	$data_object = new CDbAccess();
	if ($data_object->openDB() == false) {
		$err_msg .= $data_object->err_msg;
	} else {
		$conn = $data_object->conn;
	}
}
require_once '../../data/table_access.php';
require_once '../../util/post_util.php';

//ini_set("session.save_handler","files");
//session_start();
if (!isset($_SESSION[SESSION_ADMIN])) {
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."teacher/login.php");
	exit;
}

$ses_list = $_SESSION[SESSION_ADMIN];
$admin_status =$ses_list['status'];
$admin_id=$ses_list['teacher_id'];

$class_id = "";
$quiz_nam = "";

$comment = "";
$comment_disp = "";

$duration = "";
$practice_list = "";
$is_able = "";
$regist_type="";

$practice_inputs = "";
$practice_order_arr = array();

if (isset($_POST["regist_type"])) {
	$regist_type = $_POST["regist_type"];
}

if ($regist_type <> "insert" && $regist_type <> "update") {
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."teacher/login.php");
	exit;
}

if (!isset($_REQUEST["class_id"]) || !is_numeric($_REQUEST["class_id"])) {
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."teacher/login.php");
	exit;
}

if ($regist_type == "update" &&
(!isset($_REQUEST["quiz_id"]) || !is_numeric($_REQUEST["quiz_id"]))) {
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."teacher/login.php");
	exit;
}
$quiz_id = "";
if (isset($_REQUEST["quiz_id"])) $quiz_id = $_REQUEST["quiz_id"];

$class_id = $_REQUEST["class_id"];

$quiz_nam = chPostToForm($_POST["quiz_nam"]);
if ($_POST["comment"] <> "") {
	$comment = chPostToForm ($_POST["comment"]);
	$comment_disp = chPostToHtml ($_POST["comment"]);
}

if ($_POST["duration"] <> "" && !is_numeric($_POST["duration"])) {
	$err_msg .= "Irregual Input ".$_POST["duration"]."<br/>";
} else {
	$duration=$_POST["duration"];
}

$practice_order_arr = $_POST["order"];
asort($practice_order_arr);
$check_order = array();

foreach ($practice_order_arr as $key=>$val) {
	$practice_inputs .= "<input type='hidden' name='practice_id[]' value='".intval($_POST["reg_practice_id"][$key])."'/>";
	if ($_POST["score"][$key]<>"" && !is_numeric($_POST["score"][$key])) {
		$err_msg .= "Score must be integer!<br/>";
		break;
	}
	if (in_array($val, $check_order)) {
		//echo "val is ".$val;
		$err_msg .= "Order must be diffrent!<br/>";
		break;
	}

	$practice_inputs .= "<input type='hidden' name='score[]' value='".intval($_POST["score"][$key])."'>";
	$practice_inputs .= "<input type='hidden' name='order[]' value='".chPostToForm($val)."'/>";

//	$practice_inputs .= "<input type='hidden' name='score_".$_POST["reg_practice_id"][$key]."' value='".intval($_POST["score"][$key])."'>";
//	$practice_inputs .= "<input type='hidden' name='order_".$_POST["reg_practice_id"][$key]."' value='".chPostToForm($val)."'/>";

	$practice_list .="<hr/><p/>";
	$practice_list .= "<table><tr><td valign='top'>";
	if ($val <> 0 && $val <> "" && $val <> null) $practice_list .= chPostToForm($val);
	$practice_list .="<br/></td><td>";
	$practice_list .="<iframe src='../lecture_reg/view_event.php?practice_id=".intval($_POST["reg_practice_id"][$key])."' width=800 height=800></iframe>";
	$practice_list .= "</td><td valign='bottom'>".intval($_POST["score"][$key])."</td></tr></table>";
	if ($val <> 0 && $val <> "" && $val <> null) array_push($check_order,$val);
}


if ($err_msg <> "") {
	$is_able = "DISABLED";
	$practice_list = "";
}

$show_data = file_get_contents(TEMPLATE_DIR.'ad_quiz_reg/confirm.tpl');
$show_data = str_replace(':REGIST_TYPE_REP:', $regist_type, $show_data);
$show_data = str_replace(':ERR_MSG:', $err_msg, $show_data);
$show_data = str_replace(':PRAC_LIST_REP:', $practice_list, $show_data);
$show_data = str_replace(':QUIZ_NAM_REP:', $quiz_nam, $show_data);
$show_data = str_replace(':COMMENT_REP:', $comment, $show_data);
$show_data = str_replace(':COMMENT_DISP_REP:', $comment_disp, $show_data);
$show_data = str_replace(':DURATION_REP:', intval($duration), $show_data);
$show_data = str_replace(':CLASS_ID_REP:', $class_id, $show_data);
$show_data = str_replace(':IS_ABLE_REP:', $is_able, $show_data);
$show_data = str_replace(':PRACTICE_LIST_REP:', $practice_list, $show_data);
$show_data = str_replace(':PRACTICE_INPUT_REP:', $practice_inputs, $show_data);
$show_data = str_replace(':PRACTICE_INPUT_REP:', $practice_inputs, $show_data);
$show_data = str_replace(':QUIZ_ID_REP:', $quiz_id, $show_data);

echo $show_data;

?>