<?php
require_once '../../data/constant.php';
require_once '../../util/make_item.php';
require_once '../../util/validate.php';
$err_msg = "";
$conn = "";
$data_object = null;
if (NO_SINGLE_SIGNON == 0) {
	require('../../../../mainfile.php');
	require_once '../../data/xdb_access.php';
} else if (NO_SINGLE_SIGNON == 1) {
	require_once '../../data/db_access.php';
	ini_set("session.save_handler","files");
	session_start();
	$data_object = new CDbAccess();
	if ($data_object->openDB() == false) {
		$err_msg .= $data_object->err_msg;
	} else {
		$conn = $data_object->conn;
	}
}
require_once '../../data/table_access.php';
require_once '../../util/for_practice.php';

//ini_set("session.save_handler","files");
//session_start();
if (!isset($_SESSION[SESSION_ADMIN])) {
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."teacher/login.php");
	exit;
}
$ses_arr = $_SESSION[SESSION_ADMIN];

$vote_id = "";
$lecture_id = "";

if (!isset($_GET['vote_id']) || !is_numeric($_GET['vote_id'])
	|| !isset($_GET['lecture_id']) || !is_numeric($_GET['lecture_id'])) {
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."teacher/login.php");
	exit;
}
$vote_id = $_GET['vote_id'];
$lecture_id = $_GET["lecture_id"];


$answer ="";
$department_id = "";
$vote_title = "";
$vote_text = "";
$comment = "";

$input_flag = "";
$up_flag = "";
$show_txt = "";

$img_url = "";
$img_view = "";

$department_sel = "";

$item_bango_arr = array();
$item_txt_arr = array();

$is_item_display = "none";

$analysis_list = "";


//$data_object = new CDbAccess();
//if ($data_object->openDB() == false) {
//	$err_msg .= $data_object->err_msg;
//} else {

	$vote_object = new CVoteTableAccess();
	if (isset($_POST['input_flag']) && $_POST['input_flag'] == "del") {

		$del_cond = "vote_id = '".$vote_object->escapeSqlString($vote_id)."'";
		if ($vote_object->delDat($del_cond, $conn)) {
			header("Content-Type: text/html; charset=EUC-JP");
			header(URL_SET."teacher/vote_reg/index.php");
			exit;
		} else {
			$err_msg .= $vote_object->err_msg;
		}
	}

	//$vote_data = $vote_object->getDetailVote($data_object->conn,$vote_id);
	$vote_data = $vote_object->getDetailVote($conn,$vote_id);
	if ($vote_data == false) {
		$err_msg .= "No Data Found";
	} else {
		$answer = intval($vote_data['answer']);
		$department_id = intval($vote_data['department_id']);
		$vote_title = htmlspecialchars($vote_data['vote_title'],ENT_QUOTES);
		$vote_text = htmlspecialchars($vote_data['vote_text'],ENT_QUOTES);
		$comment = htmlspecialchars($vote_data['vote_comment'],ENT_QUOTES);

		$img_url = htmlspecialchars($vote_data['img_url'],ENT_QUOTES);
		//if ($answer == 0) {
		if ($answer == 1 || $answer == 2) {
			$item_object = new CVoteItemTableAccess();
			//if ($item_object->setItemPervoteArr($data_object->conn, $vote_id)) {
			if ($item_object->setItemPerVoteArr($conn, $vote_id)) {
				while ($item_data = $item_object->dbFetchArr()) {
					array_push($item_bango_arr,htmlspecialchars($item_data['item_order'],ENT_QUOTES));
					array_push($item_txt_arr,htmlspecialchars($item_data['item_txt'],ENT_QUOTES));
				}
				$item_object->dbFreeResult();
			}
			$is_item_display = "inline";
		}
	}


	//$dep_object = new CCreateDepSelect($data_object->conn);
	$dep_object = new CCreateDepSelect($conn);
	$dep_object->setDataForInput();
	$department_sel = $dep_object->getPullDown("department", $department_id);
	$dep_dat_arr  = $dep_object->getBasicData();

	/*
	$vote_ana_object = new CPracAnalysis();
	//if (!$vote_ana_object->setPracInfo($data_object->conn,$vote_id)) {
	if (!$vote_ana_object->setPracInfo("",$vote_id)) {
		$analysis_list .= "NO DATA";
	} else {
		$vote_ana_object->setAdminShowList();
		$analysis_list .= $vote_ana_object->getAdminShowList();
	}
	*/


if ($conn <> "" && is_object($data_object)) $data_object->closeDB();
//}

$show_data = file_get_contents('../../templates/ad_vote/arrange_vote_form.tpl');
$show_data = str_replace(':ERR_MSG:', mb_convert_encoding($err_msg,'UTF-8', 'EUC-JP'), $show_data);

$show_data = str_replace(':PRAC_TITLE_TXT:', $vote_title, $show_data);
$show_data = str_replace(':PRAC_TXT_REP:', $vote_text, $show_data);

//for ($i=0; $i<3; $i++) {
for ($i=0; $i<6; $i++) {
	$selected = "";
	if ($answer === $i) $selected = "SELECTED";
	$show_data = str_replace(":SELECTED_REP".$i.":", $selected, $show_data);

}

$show_data = str_replace(':DEP_SEL_REP:', $department_sel, $show_data);

$show_data = str_replace(':COMMENT_REP:', $comment, $show_data);

for ($i=0; $i < 10; $i++) {
	$item_order = "";
	$item_txt = "";
	if (isset($item_bango_arr[$i])) {
		$item_order = $item_bango_arr[$i];
		$item_txt = $item_txt_arr[$i];
		//$is_right = $item_is_right_arr[$i];
	}
	$show_data = str_replace(':BANGO_REP'.$i.':', $item_order, $show_data);
	$show_data = str_replace(':ITEM_TXT_REP'.$i.':', $item_txt, $show_data);
}

$show_data = str_replace(':ITEM_DISPLAY_REP:', $is_item_display, $show_data);

$show_data = str_replace(':PRA_ID_REP:', $vote_id, $show_data);
$show_data = str_replace(':ACT_TYPE_REP:', "do_this", $show_data);
$show_data = str_replace(':IMG_URL_REP:', $img_url, $show_data);

//$show_data = str_replace(':PRAC_COM_REP:', $prac_com_list, $show_data);
$show_data = str_replace(':PRAC_COM_REP:', "", $show_data);
$show_data = str_replace(':CREATER_DISP_REP:', "", $show_data);
$show_data = str_replace(':ANALYSIS_REP:', "", $show_data);
$show_data = str_replace(':LECTURE_ID_REP:', $lecture_id, $show_data);

echo $show_data;
?>